Package uk.ac.starlink.topcat.join

## Class OutputRequirements

- java.lang.Object
- - uk.ac.starlink.topcat.join.OutputRequirements

-     public class OutputRequirements
      extends java.lang.Object

  Defines the per-table requirements for type of output in a multi-table match. This class provides graphical components that the user can interact with to define what the output table should look like.
  Since:
    20 Mar 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputRequirements()` | Constructs a new OutputRequirements object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.table.join.MultiJoinType` | `getJoinType()` | Returns the selected join type for this object.
    `javax.swing.JComponent` | `getRowLine()` | Returns a component (suitable for vertical stacking) which allows the user to select which rows will be included in the output.
    `MatchOption` | `getRowOption()` | Returns the selected MatchOption for this object
    `javax.swing.JToggleButton` | `getUseCols()` | Returns a button which allows the user to select which columns will be included in the output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputRequirements

          public OutputRequirements()

      Constructs a new OutputRequirements object.

  - ### Method Detail

    - #### getRowLine

          public javax.swing.JComponent getRowLine()

      Returns a component (suitable for vertical stacking) which allows the user to select which rows will be included in the output.
      Returns:
        selection window

    - #### getUseCols

          public javax.swing.JToggleButton getUseCols()

      Returns a button which allows the user to select which columns will be included in the output.
      Returns:
        selection button

    - #### getRowOption

          public MatchOption getRowOption()

      Returns the selected MatchOption for this object
      Returns:
        match option

    - #### getJoinType

          public uk.ac.starlink.table.join.MultiJoinType getJoinType()

      Returns the selected join type for this object.
      Returns:
        join type